
#ifndef PLATFORM_UNIX_X11INPUT_H
#define PLATFORM_UNIX_X11INPUT_H

#include <Platform/PlatformInput.h>

namespace sp {

class X11Input : public PlatformInput
{
public :
	virtual Keyboard* createKeyboard();

	virtual Mouse* createMouse();

	virtual void update();
};

} // namespace sp

#endif /* PLATFORM_UNIX_X11INPUT_H */
